path: /build/build/tbb-dev-cpp-2021.11.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-hwloc -valgrind" emerge dev-cpp/tbb -pv -t && \
    USE="-hwloc -valgrind" emerge -j ${JOBS} --nodeps dev-cpp/tbb
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/tbb && luet-portage --dir /pkgdir/tbb
    dev-cpp/tbb && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:04be0f4c4608ac9f7103652a9db66c382f7cd3a584f9343cd2a28417f3e75dd7
  package:
    name: tbb
    version: 2021.11.0
    category: dev-cpp
    use_flags:
    - -hwloc
    - -valgrind
    requires:
    - name: cmake
      version: '>=0'
      category: dev-util
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: High level abstract threading library
    uri:
    - https://www.threadingbuildingblocks.org
    license: Apache-2.0
    buildtimestamp: 2024-02-02 11:28:05.190985871 +0000 UTC m=+539.831372955
    labels:
      BDEPEND: dev-util/ninja dev-util/cmake
      DEPEND: hwloc? ( || ( =sys-apps/hwloc-1.11* =sys-apps/hwloc-2.0* =sys-apps/hwloc-2.4*
        ) ) valgrind? ( dev-util/valgrind )
      IUSE: hwloc tests valgrind
      RDEPEND: hwloc? ( || ( =sys-apps/hwloc-1.11* =sys-apps/hwloc-2.0* =sys-apps/hwloc-2.4*
        ) ) valgrind? ( dev-util/valgrind )
      emerge.packages: dev-cpp/tbb
      kit: dev-kit
      original.package.name: dev-cpp/tbb
      original.package.slot: "0"
      original.package.version: 2021.11.0
    treedir: /build/packages
  package_dir: /pkgdir/tbb
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 27924fe836d769256bac36971a7dfa7c2777a2165347769470c21b69807511c0
compressiontype: zstd
files:
- usr/include/oneapi/tbb/blocked_range.h
- usr/include/oneapi/tbb/blocked_range2d.h
- usr/include/oneapi/tbb/blocked_range3d.h
- usr/include/oneapi/tbb/blocked_rangeNd.h
- usr/include/oneapi/tbb/cache_aligned_allocator.h
- usr/include/oneapi/tbb/collaborative_call_once.h
- usr/include/oneapi/tbb/combinable.h
- usr/include/oneapi/tbb/concurrent_hash_map.h
- usr/include/oneapi/tbb/concurrent_lru_cache.h
- usr/include/oneapi/tbb/concurrent_map.h
- usr/include/oneapi/tbb/concurrent_priority_queue.h
- usr/include/oneapi/tbb/concurrent_queue.h
- usr/include/oneapi/tbb/concurrent_set.h
- usr/include/oneapi/tbb/concurrent_unordered_map.h
- usr/include/oneapi/tbb/concurrent_unordered_set.h
- usr/include/oneapi/tbb/concurrent_vector.h
- usr/include/oneapi/tbb/detail/_aggregator.h
- usr/include/oneapi/tbb/detail/_aligned_space.h
- usr/include/oneapi/tbb/detail/_allocator_traits.h
- usr/include/oneapi/tbb/detail/_assert.h
- usr/include/oneapi/tbb/detail/_attach.h
- usr/include/oneapi/tbb/detail/_concurrent_queue_base.h
- usr/include/oneapi/tbb/detail/_concurrent_skip_list.h
- usr/include/oneapi/tbb/detail/_concurrent_unordered_base.h
- usr/include/oneapi/tbb/detail/_config.h
- usr/include/oneapi/tbb/detail/_containers_helpers.h
- usr/include/oneapi/tbb/detail/_exception.h
- usr/include/oneapi/tbb/detail/_export.h
- usr/include/oneapi/tbb/detail/_flow_graph_body_impl.h
- usr/include/oneapi/tbb/detail/_flow_graph_cache_impl.h
- usr/include/oneapi/tbb/detail/_flow_graph_impl.h
- usr/include/oneapi/tbb/detail/_flow_graph_indexer_impl.h
- usr/include/oneapi/tbb/detail/_flow_graph_item_buffer_impl.h
- usr/include/oneapi/tbb/detail/_flow_graph_join_impl.h
- usr/include/oneapi/tbb/detail/_flow_graph_node_impl.h
- usr/include/oneapi/tbb/detail/_flow_graph_node_set_impl.h
- usr/include/oneapi/tbb/detail/_flow_graph_nodes_deduction.h
- usr/include/oneapi/tbb/detail/_flow_graph_tagged_buffer_impl.h
- usr/include/oneapi/tbb/detail/_flow_graph_trace_impl.h
- usr/include/oneapi/tbb/detail/_flow_graph_types_impl.h
- usr/include/oneapi/tbb/detail/_hash_compare.h
- usr/include/oneapi/tbb/detail/_intrusive_list_node.h
- usr/include/oneapi/tbb/detail/_machine.h
- usr/include/oneapi/tbb/detail/_mutex_common.h
- usr/include/oneapi/tbb/detail/_namespace_injection.h
- usr/include/oneapi/tbb/detail/_node_handle.h
- usr/include/oneapi/tbb/detail/_pipeline_filters.h
- usr/include/oneapi/tbb/detail/_pipeline_filters_deduction.h
- usr/include/oneapi/tbb/detail/_range_common.h
- usr/include/oneapi/tbb/detail/_rtm_mutex.h
- usr/include/oneapi/tbb/detail/_rtm_rw_mutex.h
- usr/include/oneapi/tbb/detail/_scoped_lock.h
- usr/include/oneapi/tbb/detail/_segment_table.h
- usr/include/oneapi/tbb/detail/_small_object_pool.h
- usr/include/oneapi/tbb/detail/_string_resource.h
- usr/include/oneapi/tbb/detail/_task.h
- usr/include/oneapi/tbb/detail/_task_handle.h
- usr/include/oneapi/tbb/detail/_template_helpers.h
- usr/include/oneapi/tbb/detail/_utils.h
- usr/include/oneapi/tbb/detail/_waitable_atomic.h
- usr/include/oneapi/tbb/enumerable_thread_specific.h
- usr/include/oneapi/tbb/flow_graph.h
- usr/include/oneapi/tbb/flow_graph_abstractions.h
- usr/include/oneapi/tbb/global_control.h
- usr/include/oneapi/tbb/info.h
- usr/include/oneapi/tbb/memory_pool.h
- usr/include/oneapi/tbb/mutex.h
- usr/include/oneapi/tbb/null_mutex.h
- usr/include/oneapi/tbb/null_rw_mutex.h
- usr/include/oneapi/tbb/parallel_for.h
- usr/include/oneapi/tbb/parallel_for_each.h
- usr/include/oneapi/tbb/parallel_invoke.h
- usr/include/oneapi/tbb/parallel_pipeline.h
- usr/include/oneapi/tbb/parallel_reduce.h
- usr/include/oneapi/tbb/parallel_scan.h
- usr/include/oneapi/tbb/parallel_sort.h
- usr/include/oneapi/tbb/partitioner.h
- usr/include/oneapi/tbb/profiling.h
- usr/include/oneapi/tbb/queuing_mutex.h
- usr/include/oneapi/tbb/queuing_rw_mutex.h
- usr/include/oneapi/tbb/rw_mutex.h
- usr/include/oneapi/tbb/scalable_allocator.h
- usr/include/oneapi/tbb/spin_mutex.h
- usr/include/oneapi/tbb/spin_rw_mutex.h
- usr/include/oneapi/tbb/task.h
- usr/include/oneapi/tbb/task_arena.h
- usr/include/oneapi/tbb/task_group.h
- usr/include/oneapi/tbb/task_scheduler_observer.h
- usr/include/oneapi/tbb/tbb_allocator.h
- usr/include/oneapi/tbb/tbbmalloc_proxy.h
- usr/include/oneapi/tbb/tick_count.h
- usr/include/oneapi/tbb/version.h
- usr/include/oneapi/tbb.h
- usr/include/tbb/blocked_range.h
- usr/include/tbb/blocked_range2d.h
- usr/include/tbb/blocked_range3d.h
- usr/include/tbb/blocked_rangeNd.h
- usr/include/tbb/cache_aligned_allocator.h
- usr/include/tbb/collaborative_call_once.h
- usr/include/tbb/combinable.h
- usr/include/tbb/concurrent_hash_map.h
- usr/include/tbb/concurrent_lru_cache.h
- usr/include/tbb/concurrent_map.h
- usr/include/tbb/concurrent_priority_queue.h
- usr/include/tbb/concurrent_queue.h
- usr/include/tbb/concurrent_set.h
- usr/include/tbb/concurrent_unordered_map.h
- usr/include/tbb/concurrent_unordered_set.h
- usr/include/tbb/concurrent_vector.h
- usr/include/tbb/enumerable_thread_specific.h
- usr/include/tbb/flow_graph.h
- usr/include/tbb/flow_graph_abstractions.h
- usr/include/tbb/global_control.h
- usr/include/tbb/info.h
- usr/include/tbb/memory_pool.h
- usr/include/tbb/mutex.h
- usr/include/tbb/null_mutex.h
- usr/include/tbb/null_rw_mutex.h
- usr/include/tbb/parallel_for.h
- usr/include/tbb/parallel_for_each.h
- usr/include/tbb/parallel_invoke.h
- usr/include/tbb/parallel_pipeline.h
- usr/include/tbb/parallel_reduce.h
- usr/include/tbb/parallel_scan.h
- usr/include/tbb/parallel_sort.h
- usr/include/tbb/partitioner.h
- usr/include/tbb/profiling.h
- usr/include/tbb/queuing_mutex.h
- usr/include/tbb/queuing_rw_mutex.h
- usr/include/tbb/rw_mutex.h
- usr/include/tbb/scalable_allocator.h
- usr/include/tbb/spin_mutex.h
- usr/include/tbb/spin_rw_mutex.h
- usr/include/tbb/task.h
- usr/include/tbb/task_arena.h
- usr/include/tbb/task_group.h
- usr/include/tbb/task_scheduler_observer.h
- usr/include/tbb/tbb.h
- usr/include/tbb/tbb_allocator.h
- usr/include/tbb/tbbmalloc_proxy.h
- usr/include/tbb/tick_count.h
- usr/include/tbb/version.h
- usr/lib64/cmake/TBB/TBBConfig.cmake
- usr/lib64/cmake/TBB/TBBConfigVersion.cmake
- usr/lib64/cmake/TBB/TBBTargets-gentoo.cmake
- usr/lib64/cmake/TBB/TBBTargets.cmake
- usr/lib64/libtbb.so
- usr/lib64/libtbb.so.12
- usr/lib64/libtbb.so.12.11
- usr/lib64/libtbbmalloc.so
- usr/lib64/libtbbmalloc.so.2
- usr/lib64/libtbbmalloc.so.2.11
- usr/lib64/libtbbmalloc_proxy.so
- usr/lib64/libtbbmalloc_proxy.so.2
- usr/lib64/libtbbmalloc_proxy.so.2.11
- usr/lib64/pkgconfig/tbb.pc
- usr/share/doc/tbb-2021.11.0/README.md.bz2
- var/db/pkg/dev-cpp/tbb-2021.11.0/BDEPEND
- var/db/pkg/dev-cpp/tbb-2021.11.0/BUILD_TIME
- var/db/pkg/dev-cpp/tbb-2021.11.0/CATEGORY
- var/db/pkg/dev-cpp/tbb-2021.11.0/CBUILD
- var/db/pkg/dev-cpp/tbb-2021.11.0/CFLAGS
- var/db/pkg/dev-cpp/tbb-2021.11.0/CHOST
- var/db/pkg/dev-cpp/tbb-2021.11.0/CONTENTS
- var/db/pkg/dev-cpp/tbb-2021.11.0/COUNTER
- var/db/pkg/dev-cpp/tbb-2021.11.0/CXXFLAGS
- var/db/pkg/dev-cpp/tbb-2021.11.0/DEFINED_PHASES
- var/db/pkg/dev-cpp/tbb-2021.11.0/DESCRIPTION
- var/db/pkg/dev-cpp/tbb-2021.11.0/EAPI
- var/db/pkg/dev-cpp/tbb-2021.11.0/FEATURES
- var/db/pkg/dev-cpp/tbb-2021.11.0/HOMEPAGE
- var/db/pkg/dev-cpp/tbb-2021.11.0/INHERITED
- var/db/pkg/dev-cpp/tbb-2021.11.0/IUSE
- var/db/pkg/dev-cpp/tbb-2021.11.0/IUSE_EFFECTIVE
- var/db/pkg/dev-cpp/tbb-2021.11.0/KEYWORDS
- var/db/pkg/dev-cpp/tbb-2021.11.0/LDFLAGS
- var/db/pkg/dev-cpp/tbb-2021.11.0/LICENSE
- var/db/pkg/dev-cpp/tbb-2021.11.0/NEEDED
- var/db/pkg/dev-cpp/tbb-2021.11.0/PF
- var/db/pkg/dev-cpp/tbb-2021.11.0/PROVIDES
- var/db/pkg/dev-cpp/tbb-2021.11.0/REQUIRES
- var/db/pkg/dev-cpp/tbb-2021.11.0/SIZE
- var/db/pkg/dev-cpp/tbb-2021.11.0/SLOT
- var/db/pkg/dev-cpp/tbb-2021.11.0/USE
- var/db/pkg/dev-cpp/tbb-2021.11.0/environment.bz2
- var/db/pkg/dev-cpp/tbb-2021.11.0/repository
- var/db/pkg/dev-cpp/tbb-2021.11.0/tbb-2021.11.0.ebuild
package_cacheimage: ""
runtime:
  name: tbb
  version: 2021.11.0
  category: dev-cpp
  use_flags:
  - -hwloc
  - -valgrind
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: High level abstract threading library
  uri:
  - https://www.threadingbuildingblocks.org
  license: Apache-2.0
  labels:
    BDEPEND: dev-util/ninja dev-util/cmake
    DEPEND: hwloc? ( || ( =sys-apps/hwloc-1.11* =sys-apps/hwloc-2.0* =sys-apps/hwloc-2.4*
      ) ) valgrind? ( dev-util/valgrind )
    IUSE: hwloc tests valgrind
    RDEPEND: hwloc? ( || ( =sys-apps/hwloc-1.11* =sys-apps/hwloc-2.0* =sys-apps/hwloc-2.4*
      ) ) valgrind? ( dev-util/valgrind )
    emerge.packages: dev-cpp/tbb
    kit: dev-kit
    original.package.name: dev-cpp/tbb
    original.package.slot: "0"
    original.package.version: 2021.11.0
